# XYMOND_DISTRIBUTE

Section: Maintenance Commands (8)
Updated: Version 4.3.30: 18 Aug 2026
Index Return to Main Contents

## NAME

xymond_distribute - xymond worker module for distributing commands

## SYNOPSIS

xymond_channel --channel=enadis xymond_distribute [options]

## DESCRIPTION

xymond_distribute is a worker module for xymond, and as such it is normally run via the xymond_channel(8) program. It is used if you have multiple Xymon servers running in a master/slave configuration. xymond_distribute runs on the master server and receives "drop", "rename", "enable" and "disable" messages from xymond. xymond_distribute then forwards these to the other Xymon servers as standard xymon messages. So if a user on the master Xymon server disables a red status, xymond_distribute will forward this to the other Xymon servers so that the change happens everywhere.

NOTE: xymond_distribute does not check to see if a message has already been forwarded, so you can easily create forwarding loops.

## OPTIONS

--peer=HOSTNAME
  The peer that messages are forwarded to. If you have multiple peers, repeat this option.

--debug
  Enable debugging output.

## SEE ALSO

xymond_channel(8), xymond(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 18:59:22 GMT, August 18, 2026